## TomoeConfig

TomoeConfig — An object of configuration file.

## Synopsis

                        TomoeConfig;
    TomoeConfig*        tomoe_config_new                    (const gchar *config_file);
    const gchar*        tomoe_config_get_filename           (TomoeConfig *config);
    const gchar*        tomoe_config_get_user_dict_name     (TomoeConfig *config);
    TomoeShelf*         tomoe_config_make_shelf             (TomoeConfig *config,
                                                             const gchar *language);
    const gchar*const * tomoe_config_get_languages          (TomoeConfig *config);

## Object Hierarchy

      GObject
       +----TomoeConfig

## Properties

      "filename"                 gchararray            : Read / Write / Construct

## Description

## Details

### TomoeConfig

    typedef struct _TomoeConfig TomoeConfig;

The TomoeConfig struct contains only private fields and should not be directly accessed.

### tomoe_config_new ()

    TomoeConfig*        tomoe_config_new                    (const gchar *config_file);

`config_file` : |
Returns : |

### tomoe_config_get_filename ()

    const gchar*        tomoe_config_get_filename           (TomoeConfig *config);

`config` : |
Returns : |

### tomoe_config_get_user_dict_name ()

    const gchar*        tomoe_config_get_user_dict_name     (TomoeConfig *config);

`config` : |
Returns : |

### tomoe_config_make_shelf ()

    TomoeShelf*         tomoe_config_make_shelf             (TomoeConfig *config,
                                                             const gchar *language);

`config` : |
`language` : |
Returns : |

### tomoe_config_get_languages ()

    const gchar*const * tomoe_config_get_languages          (TomoeConfig *config);

`config` : |
Returns : |

## Property Details

### The "`filename`" property

      "filename"                 gchararray            : Read / Write / Construct

The filename for storing user settings.

Default value: NULL